package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 我收藏的项目对象 tb_user_bid_store
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class TbUserBidStore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long userBidId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 项目id */
    @Excel(name = "项目id")
    private String bidId;

    /** 招标状态0招标，1中标 */
    @Excel(name = "招标状态0招标，1中标")
    private Integer bidState;

    public void setUserBidId(Long userBidId) 
    {
        this.userBidId = userBidId;
    }

    public Long getUserBidId() 
    {
        return userBidId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setBidId(String bidId) 
    {
        this.bidId = bidId;
    }

    public String getBidId() 
    {
        return bidId;
    }
    public void setBidState(Integer bidState) 
    {
        this.bidState = bidState;
    }

    public Integer getBidState() 
    {
        return bidState;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userBidId", getUserBidId())
            .append("userId", getUserId())
            .append("bidId", getBidId())
            .append("createTime", getCreateTime())
            .append("bidState", getBidState())
            .toString();
    }
}
